# Uses of Interface
java.security.cert.PolicyNode

Packages that use PolicyNode
Package
Description
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.

- ## Uses of PolicyNode in java.security.cert

  Methods in java.security.cert that return PolicyNode
  Modifier and Type
  Method
  Description
  `PolicyNode`
  PolicyNode.`getParent()`
  Returns the parent of this node, or `null` if this is the root node.
  `PolicyNode`
  PKIXCertPathValidatorResult.`getPolicyTree()`
  Returns the root node of the valid policy tree resulting from the PKIX certification path validation algorithm.
  Methods in java.security.cert that return types with arguments of type PolicyNode
  Modifier and Type
  Method
  Description
  `Iterator<? extends PolicyNode>`
  PolicyNode.`getChildren()`
  Returns an iterator over the children of this node.
  Constructors in java.security.cert with parameters of type PolicyNode
  Modifier
  Constructor
  Description
  ``
  `PKIXCertPathBuilderResult(CertPath certPath, TrustAnchor trustAnchor, PolicyNode policyTree, PublicKey subjectPublicKey)`
  Creates an instance of `PKIXCertPathBuilderResult` containing the specified parameters.
  ``
  `PKIXCertPathValidatorResult(TrustAnchor trustAnchor, PolicyNode policyTree, PublicKey subjectPublicKey)`
  Creates an instance of `PKIXCertPathValidatorResult` containing the specified parameters.